# -*- encoding: utf-8 -*-
# stub: linked_list_library 0.3.0 ruby lib

Gem::Specification.new do |s|
  s.name = "linked_list_library".freeze
  s.version = "0.3.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.metadata = { "changelog_uri" => "https://docs.diligentsoftware.org/linkedlist-1/packages#library_changelog", "homepage_uri" => "https://docs.diligentsoftware.org/linkedlist", "source_code_uri" => "https://github.com/Diligent-Software-LLC/linked_list_library" } if s.respond_to? :metadata=
  s.require_paths = ["lib".freeze]
  s.authors = ["Diligent Software LLC".freeze]
  s.bindir = "exe".freeze
  s.date = "2020-05-20"
  s.description = "A LinkedList library. Organizes the\nLinkedList components. Donations support continuous improvement and maintenance.\n The aim is a reliable, integrable, and endurable LinkedList library. Make a\ndonation at the project's collective page:\nhttps://opencollective.com/linkedlist. One-time and recurring donations are\navailable at $1, $2, $4, $8, and $16. Greatly appreciated.".freeze
  s.email = ["contact@diligentsoftware.org".freeze]
  s.homepage = "https://docs.diligentsoftware.org/linkedlist".freeze
  s.licenses = ["GPL-3.0".freeze]
  s.required_ruby_version = Gem::Requirement.new(">= 2.6.5".freeze)
  s.rubygems_version = "3.2.22".freeze
  s.summary = "A LinkedList library. Organizes the LinkedList components.".freeze

  s.installed_by_version = "3.2.22" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_development_dependency(%q<bundler>.freeze, ["~> 2.1"])
    s.add_development_dependency(%q<simplecov>.freeze, ["~> 0"])
    s.add_runtime_dependency(%q<linked_list_comp>.freeze, ["~> 0"])
    s.add_runtime_dependency(%q<data_structure_library>.freeze, ["~> 2"])
    s.add_runtime_dependency(%q<data_library>.freeze, ["~> 0"])
    s.add_runtime_dependency(%q<node>.freeze, ["~> 4"])
    s.add_runtime_dependency(%q<linked_list_iterator>.freeze, ["~> 1"])
  else
    s.add_dependency(%q<bundler>.freeze, ["~> 2.1"])
    s.add_dependency(%q<simplecov>.freeze, ["~> 0"])
    s.add_dependency(%q<linked_list_comp>.freeze, ["~> 0"])
    s.add_dependency(%q<data_structure_library>.freeze, ["~> 2"])
    s.add_dependency(%q<data_library>.freeze, ["~> 0"])
    s.add_dependency(%q<node>.freeze, ["~> 4"])
    s.add_dependency(%q<linked_list_iterator>.freeze, ["~> 1"])
  end
end
